---
title: "Update status, name, and the role of a user. User with MANAGER access role can only update another user."
slug: "update-status-name-role-user-manager-access-update-user"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update status, name, and the role of a user. User with MANAGER access role can only update another user.

Patch/v1/users/{user-id}

Update status, name, and the role of a user. User with MANAGER access role can only update another users.

SecurityAPI Key: bearerTokenHeader parameter nameAuthentication

A JWT bearer token to be passed once authenticated.

Path parametersuser-idstring (uuid) Required

UUID of a user.

Body parameters<select class='api-response-data' aria-label='Media type'><option value='47063999-7c81-4206-a797-8a1008c7106d'>application/json</option>
</select>object  first_namestring    

First name.

last_namestring    

Last name.

roles Array of string (AccessRoles)   string    

Roles of a user.

Valid values[
  "READER",
  "WRITER",
  "MANAGER"
]
user_account_statusstring    

Status of an Account for a user.

Valid values[
  "ACTIVE",
  "PENDING",
  "DISABLED"
]
user_emailstring    

User's new email address.

Responses200

Updated User status, name, and role.

<select class='api-response-data' aria-label='Media type'><option value='a82c2637-ac93-4c9c-bd08-a659c79f6eb8'>application/json</option>
</select>object  user_idstring  (uuid)    

User Id.

first_namestring    

First Name.

last_namestring    

Last Name.

user_emailstring    

User Email.

last_logged_in_atinteger  (int64)    

Last login time of user.

created_atinteger  (int64)    

Creation time of user.

email_verifiedboolean    

Whether this user's email has been verified.

statusstring    

Status of a user.

Valid values[
  "ACTIVE",
  "PENDING",
  "DISABLED"
]
roles Array of string (AccessRoles)   string    

Roles of a user.

Valid values[
  "READER",
  "WRITER",
  "MANAGER"
]
user_account_statusstring    

Status of an Account for a user.

Valid values[
  "ACTIVE",
  "PENDING",
  "DISABLED"
]
accepted_latest_terms_and_conditionsboolean    

Whether this user has accepted latest terms and conditions or not.

new_emailstring    

User’s new email address before it has been confirmed.
